
#
# Table structure for table `host_info`
#
# the fields created, updated, and isadmin are not needed by the module!
# they may help you creating a php-htpasswd frontend
# 

CREATE TABLE host_info (
  id int(14) NOT NULL auto_increment,
  host char(255) NOT NULL default '',
  host_group int(14) NOT NULL default '0',
  created timestamp(14) NOT NULL,
  updated timestamp(14) NOT NULL,
  PRIMARY KEY  (id),
  KEY host (host)
) TYPE=MyISAM PACK_KEYS=1;
# --------------------------------------------------------

#
# Table structure for table `user_group`
#

CREATE TABLE user_group (
  id int(14) NOT NULL auto_increment,
  user_name char(50) NOT NULL default '',
  user_group char(20) NOT NULL default '',
  host_group int(14) default NULL,
  created timestamp(14) NOT NULL,
  updated timestamp(14) NOT NULL,
  PRIMARY KEY  (id),
  KEY host_group (host_group),
  KEY user_group (user_group)
) TYPE=MyISAM PACK_KEYS=1;
# --------------------------------------------------------

#
# Table structure for table `user_info`
#

CREATE TABLE user_info (
  id int(14) NOT NULL auto_increment,
  user_name char(30) NOT NULL default '',
  user_passwd char(120) NOT NULL default '',
  host_group int(14) NOT NULL default '0',
  created timestamp(14) NOT NULL,
  updated timestamp(14) NOT NULL,
  isadmin tinyint(4) NOT NULL default '0',
  PRIMARY KEY  (id),
  UNIQUE KEY user_name (user_name,host_group)
) TYPE=MyISAM PACK_KEYS=1;

    

 


